Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.bruteforce.scope
Class BruteForceStepScope

    java.lang.Object
      org.optaplanner.core.impl.phase.step.AbstractStepScope
          org.optaplanner.core.impl.bruteforce.scope.BruteForceStepScope

    public class BruteForceStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`bestScoreImproved, clonedSolution, score, stepIndex`

Constructor Summary
`BruteForceStepScope(BruteForceSolverPhaseScope phaseScope)`
`BruteForceStepScope(BruteForceSolverPhaseScope phaseScope, int stepIndex)`

Method Summary
`BruteForceSolverPhaseScope` | `getPhaseScope()`
`int` | `getUninitializedVariableCount()`
`boolean` | `isBestSolutionCloningDelayed()`

Methods inherited from class org.optaplanner.core.impl.phase.step.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, hasNoUninitializedVariables, setBestScoreImproved, setClonedSolution, setScore, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BruteForceStepScope

    public BruteForceStepScope(BruteForceSolverPhaseScope phaseScope)

### BruteForceStepScope

    public BruteForceStepScope(BruteForceSolverPhaseScope phaseScope,
                               int stepIndex)

Method Detail

### getPhaseScope

    public BruteForceSolverPhaseScope getPhaseScope()

  Specified by:
    `getPhaseScope` in class `AbstractStepScope`

### isBestSolutionCloningDelayed

    public boolean isBestSolutionCloningDelayed()

  Specified by:
    `isBestSolutionCloningDelayed` in class `AbstractStepScope`

### getUninitializedVariableCount

    public int getUninitializedVariableCount()

  Specified by:
    `getUninitializedVariableCount` in class `AbstractStepScope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.